Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZBulkMailForgot Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
| check ( $hash)
| id ()
| mail ()
| setMail ( $value)
| setPassword ( $value)
| password ()
| hash ()

## Static Public Member Functions
static | getByEmail ( $email)

## Public Attributes
| $Mail
| $Password
| $ID
| $Hash
| $Time
| $Database
| Variable for keeping the database connection. More...
| $State_
| Indicates the state of the object. In regard to database information. More...
| $IsConnected
| Is true if the object has database connection, false if not. More...

## Detailed Description

! eZBulkMail eZBulkMailForgot handles forgotten password. The user send a mail and get a hash returned, the user use the hash to get a new password.

Example code:

// Create a forgot object and store it in the database.
$forgot = new eZBulkMailForgot( $userID );
$forgot->setUserID( $userID );
$forgot->store(); // The store function generate a hash.
// Return the hash
$hashVaraiable = $forgot->hash();
// Check if the hash is legal.
$forgot->check( $hashVariable );
$userID
else $userID
Definition: appointmentedit.php:121
eZBulkMailForgot
Definition: ezbulkmailforgot.php:57

See also
  eZUser eZUserGroup eZPermission eZBulkMailForgot

Definition at line 56 of file ezbulkmailforgot.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBulkMailForgot::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZBulkMailForgot object.

If $id is set the object's values are fetched from the database.

Definition at line 64 of file ezbulkmailforgot.php.

References $ID, and $id.

## Member Function Documentation

## ◆ check()

eZBulkMailForgot::check | ( |  | $hash | ) |

Chech if hash is true or not. Returnes false if unsuccessful.

Definition at line 198 of file ezbulkmailforgot.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ delete()

eZBulkMailForgot::delete | ( |  | ) |

Deletes a eZBulkMailForgot object from the database.

Definition at line 120 of file ezbulkmailforgot.php.

References $db, $result, and eZDB\globalDatabase().

## ◆ get()

eZBulkMailForgot::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 140 of file ezbulkmailforgot.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Password.

## ◆ getByEmail()

static eZBulkMailForgot::getByEmail | ( |  | $email | ) |
| static

Returns object with the email if it exists. If it does't and the address is valid a new object is created and returned.

Definition at line 168 of file ezbulkmailforgot.php.

References $db, $id, and eZDB\globalDatabase().

## ◆ hash()

eZBulkMailForgot::hash | ( |  | ) |

Retuns the hash

Definition at line 255 of file ezbulkmailforgot.php.

References $Hash.

## ◆ id()

eZBulkMailForgot::id | ( |  | ) |

Returns the object id.

Definition at line 215 of file ezbulkmailforgot.php.

References $ID.

## ◆ mail()

eZBulkMailForgot::mail | ( |  | ) |

Returns the mail ID.

Definition at line 223 of file ezbulkmailforgot.php.

References $Mail.

## ◆ password()

eZBulkMailForgot::password | ( |  | ) |

Returns the encryptet password.

Definition at line 247 of file ezbulkmailforgot.php.

References $Password.

## ◆ setMail()

eZBulkMailForgot::setMail | ( |  | $value | ) |

Sets the login.

Definition at line 231 of file ezbulkmailforgot.php.

## ◆ setPassword()

eZBulkMailForgot::setPassword | ( |  | $value | ) |

Sets the password in cleartext.

Definition at line 239 of file ezbulkmailforgot.php.

References Password.

## ◆ store()

eZBulkMailForgot::store | ( |  | ) |

Stores or updates a eZBulkMailForgot object in the database.

Definition at line 77 of file ezbulkmailforgot.php.

References $db, $result, eZDB\globalDatabase(), and Password.

## Member Data Documentation

## ◆ $Database

eZBulkMailForgot::$Database

Variable for keeping the database connection.

Definition at line 267 of file ezbulkmailforgot.php.

## ◆ $Hash

eZBulkMailForgot::$Hash

Definition at line 263 of file ezbulkmailforgot.php.

Referenced by hash().

## ◆ $ID

eZBulkMailForgot::$ID

Definition at line 262 of file ezbulkmailforgot.php.

Referenced by __construct(), and id().

## ◆ $IsConnected

eZBulkMailForgot::$IsConnected

Is true if the object has database connection, false if not.

Definition at line 272 of file ezbulkmailforgot.php.

## ◆ $Mail

eZBulkMailForgot::$Mail

Definition at line 260 of file ezbulkmailforgot.php.

Referenced by mail().

## ◆ $Password

eZBulkMailForgot::$Password

Definition at line 261 of file ezbulkmailforgot.php.

Referenced by password().

## ◆ $State_

eZBulkMailForgot::$State_

Indicates the state of the object. In regard to database information.

Definition at line 270 of file ezbulkmailforgot.php.

## ◆ $Time

eZBulkMailForgot::$Time

Definition at line 264 of file ezbulkmailforgot.php.

The documentation for this class was generated from the following file:

- ezbulkmailforgot.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.